package RPM::Source::Shared::Resource::DistroMap;

use strict;
use warnings;
use Carp;

use DistroMap 0.20;
use RPM::Source::Shared::Resource;
use RPM::Source::Shared::ResourceContainer;
our @ISA=qw/RPM::Source::Shared::Resource/;

push @RPM::Source::Shared::ResourceContainer::RESOURCE_CLASSES, __PACKAGE__;

our $verbose=0;

*LONGOPT=*DistroMap::LONGOPT;
*longopt_usage=*DistroMap::longopt_usage;

sub process_options {
    my ($self)=@_;
}

my $__distromap;

package RPM::Source::Shared::ResourceContainer;

use strict;
use warnings;

sub get_distromap {
    return $__distromap if $__distromap;
    $__distromap=DistroMap->new();
    print STDERR "get_distromap: created distromap\n" if $RPM::Source::Shared::Resource::DistroMap::verbose>1;
    return $__distromap;
}

1;
