package RPM::Source::Tools::File2RPMEditor;

use strict;
use warnings;

sub file2rpmeditoropts {
    my ($insrc,$sourcedir)=@_;
    if ($insrc=~/\.src\.rpm$/i) {
	return [ SOURCERPM => $insrc];
    } elsif ($insrc=~/\.spec$/i) {
	return defined $sourcedir ? [SPECFILE => $insrc, SOURCEDIR=> $sourcedir] : [ SPECFILE => $insrc];
    } elsif ($insrc eq 'none') {
	return [ SPECFILE => undef];
    } elsif ($insrc eq 'auto') {
	return undef;
    } else {
	die "$_[0]: $insrc does not look like src.rpm or spec.\n";
    }
}

1;
