package RPM::Source::Abstract::PriorityCollection;

use strict;
use warnings;
use Carp;

sub new {
    my $class = shift;
    my $self = [@_];
    bless $self, $class;
    return $self;
}

sub add {
    my $self=shift;
    my $last=$#{$self};
    my $added=@_;
    push @$self, @_;
    # bubble sort; keeps order of the same priority
    for (my $i=0; $i<$added;$i++) {
	for (my $j=$last+$i;$j>=0;$j--) {
	    if ($self->[$j]->{-priority} < $self->[$j+1]->{-priority}) {
		# swap
		($self->[$j],$self->[$j+1])=($self->[$j+1],$self->[$j]);
	    }
	}
    }
}

sub get {
    my $self=shift;
    return @$self;
}

1;
