package RPM::Source::Transformation::Component;

use strict;
use warnings;

use RPM::Source::Abstract::ExportCommandLineOption;
use RPM::Source::TransformContainer;
use RPM::Source::Transformation::OptHandlerWrapper;

our $VERSION=0.032;
our @ISA=qw(RPM::Source::Abstract::ExportCommandLineOption);

# message bus (used in support classes and transformation resources and factories)
sub register_messages {}

sub add_opt {
    my ($extopt,$intopt)=@_;
    ### TODO: use some fixed keys hash here
    while (my ($key, $val)=each (%$intopt)) {
	warn "Option conflict for $key: already $extopt->{$key}" if defined $extopt->{$key};
	$extopt->{$key}=$val;
    }
}

1;
